import { line, curveNatural, groups } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat,
  circleRadius,
  colorScale
}) => {
  let gdpCountries = groups(data, (d) => d.countryName);
  
  const gdpCountriesClean = gdpCountries.map((d) =>
    d.pop()
  );
  
  console.log(gdpCountriesClean[0])
  
  gdpCountriesClean.forEach(country => {
  	console.log(country)
    country.forEach(d => console.log(colorScale(d.countryName)))
  })

  const lineGenerator = line()
    .x((d) => xScale(xValue(d)))
    .y((d) => yScale(yValue(d)));

  return (
    <g className="marks">
      {gdpCountriesClean.map((country) => (
        <path
          fill="none"
          // u f-ju
          stroke={country.map(d => colorScale(d.countryName))[0]}
          stroke-width="10"
          d={lineGenerator(country)}
        />
      ))}
    </g>
  );
};
