import React, {useState, useEffect} from 'react';
import { csv, groups } from 'd3';


const csvUrl =
  'https://gist.githubusercontent.com/beauMarko/1dcc3b140d86bf766b0f44e7c766e486/raw/gdpbalkan.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.gdp = +d.gdp;
      d.year = new Date(d.year);    
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data);
    });
  }, []);
  
  return data;
};